/**
*U-NAS Dispatch Server App
* Implementing U-NAS Dispatch Server App
*/
var UNASDISPATCHSERVERApp = UNASDISPATCHSERVERApp || {};  //Define U-NAS Dispatch App namespace.
/**
*Constructor UNAS App
*/
UNASDISPATCHSERVERApp.App = function () {
    this.id = 'U-NAS Dispatch Server';
    this.name = 'U-NAS Dispatch Server';
    this.version = '6.0.11';
    this.active = false;
    this.menuIcon = '/apps/unas-dispatch-server/images/logo.png?v=6.0.11&';
    this.shortcutIcon = '/apps/unas-dispatch-server/images/logo.png?v=6.0.11&';
    this.entryUrl = "/apps/unas-dispatch-server/index.html?v=6.0.11&";
    //this.entryHelpUrl = '/apps/unas-dispatch-server-server/unas-dispatch-server-server_help.html?v=6.0.11&';
    var self = this;
    this.UNASDispatchServerAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('U-NAS Dispatch Server')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'UNASDispatchServerAppWindow',
            title: UNAS._('U-NAS Dispatch Server'),
            icon: '/apps/unas-dispatch-server/images/logo_small.png?v=6.0.11&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [700, 2000], 'y': [520, 1500] },
            contentURL: '/apps/unas-dispatch-server/index.html?v=6.0.11&',
            require: { css: ['/apps/unas-dispatch-server/css/unas-dispatch-server.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("U-NAS Dispatch Server",'UNASDispatchServerAppWindow')}
     	});
    };
    this.UNASDispatchServerUninstall = function () {
    	UNAS.RemoveDesktopShortcut('U-NAS Dispatch Server');
    	UNAS.RemoveMenu('U-NAS Dispatch Server');
    	UNAS.RemoveAppFromGroups('U-NAS Dispatch Server', 'Help');
        UNAS.RemoveAppFromGroups('U-NAS Dispatch Server', 'ControlPanel');
    	UNAS.RemoveAppFromApps('U-NAS Dispatch Server');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'U-NAS Dispatch Server', '', this.UNASDispatchServerAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'U-NAS Dispatch Server', this.UNASDispatchServerAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Laction' : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 8, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('U-NAS Dispatch Server', UNAS._('U-NAS Dispatch Server')); //translate menu
        UNAS.SetShortcutTitle('U-NAS Dispatch Server', UNAS._('U-NAS Dispatch Server'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('UNASDispatchServerAppWindow', UNAS._('U-NAS Dispatch Server'));
        }
    };
    UNAS.LoadTranslation('/apps/unas-dispatch-server/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.UNASDispatchServerAppWindow, this.UNASDispatchServerUninstall);
};

new UNASDISPATCHSERVERApp.App();
